'use strict';

module.exports = (err) => {
  const detailsArr = Array.isArray(err.details) ? err.details : [ err.details ];
  return `<!DOCTYPE html>
<html lang="en">
  <head>
    <title>${err.statusCode} ${err.errorMessage}</title>
  </head>
  <body>
    <h1>${err.errorMessage}</h1>` +
    (!err.details ? '' : detailsArr.map((d) => `\n    <p>${d}</p>`).join('')) + `
  </body>
</html>`;
};