/* eslint-disable capitalized-comments */
/* eslint-env mocha */
'use strict';

const assert = require('assert');
const MimeHelper = require('../../lib/mime-helper');

describe('ext-to-mime', function () {

  describe('extensionToMime', function () {
    it('returns default for unknown extension', function () {
      const expected = 'application/octet-stream';
      const result = MimeHelper.extensionToMime('unknown_extension');
      assert.strictEqual(result, expected);
    });
    it('returns overridden default', function () {
      const expected = 'extension/unknown';
      const result = MimeHelper.extensionToMime('unknown_extension', expected);
      assert.strictEqual(result, expected);
    });
    it('returns expected type', function () {
      const expected = 'text/plain';
      const result = MimeHelper.extensionToMime('txt');
      assert.strictEqual(result, expected);
    });
  }); // extensionToMime

});
